//【登録場所】 全体、レス表示、選択テキスト
//【ラベル】 Excite翻訳ポップアップ
//【コマンド1】 $SCRIPT excite_translation.js または $SCRIPT excite_translation.js enja　英語⇒日本語
//【コマンド2】 $SCRIPT excite_translation.js jaen　日本語⇒英語
//【コマンド3】 $SCRIPT excite_translation.js chja　中国語(簡体字)⇒日本語
//【コマンド4】 $SCRIPT excite_translation.js chjab　中国語(繁体字)⇒日本語
//【コマンド5】 $SCRIPT excite_translation.js koja　韓国語⇒日本語
//【コマンド6】 $SCRIPT excite_translation.js frja　フランス語⇒日本語
//【コマンド7】 $SCRIPT excite_translation.js deja　ドイツ語⇒日本語
//【コマンド8】 $SCRIPT excite_translation.js itja　イタリア語⇒日本語
//【コマンド9】 $SCRIPT excite_translation.js esja　スペイン語⇒日本語
//【コマンド10】 $SCRIPT excite_translation.js ptja　ポルトガル語⇒日本語
//【コマンド11】 $SCRIPT excite_translation.js menu　コマンド1～10のメニュー表示
//【更新日】 2010/08/12
//【元URL】 http://yy61.60.kg/test/read.cgi/v2cj/1252074124/128-130,138-139,329-331
//【スクリプト】
// ----- 次の行から -----
//設定
var copy_text = false;//クリップボードにコピーする。
var close_popup = false;//引数'menu'の場合、選択ポップアップを入力後閉じる。

var vcx = v2c.context, Text = vcx.selText, Args = vcx.args[0], Url = new Array(5);
//引数からURLに使う文字列を取得
function getUrlStrArr( a ){
	var u = new Array(2);
	if ( a == 'enja' ){
		u[0] = 'english/';
		u[1] = 'ENJA';
	} else if( a == 'jaen' ){
		u[0] = 'english/';
		u[1] = 'JAEN';
	}else if( a == 'chja' ){
		u[0] = 'chinese/';
		u[1] = 'CHJA';
	}else if( a == 'chjab' ){
		u[0] = 'chinese/';
		u[1] = 'CHJA&big5=yes';
	}else if( a == 'koja' ){
		u[0] = 'korean/';
		u[1] = 'KOJA';
	}else if( a == 'frja' ){
		u[0] = 'french/';
		u[1] = 'FRJA';
	}else if( a == 'deja' ){
		u[0] = 'german/';
		u[1] = 'DEJA';
	}else if( a == 'itja' ){
		u[0] = 'italian/';
		u[1] = 'ITJA';
	}else if( a == 'esja' ){
		u[0] = 'spanish/';
		u[1] = 'ESJA';
	}else if( a == 'ptja' ){
		u[0] = 'portuguese/';
		u[1] = 'PTJA';
	}else{
		u[0] = 'english/';
		u[1] = 'ENJA';
	}
	return u;
}
//翻訳の選択ポップアップでフォーム送信時の動作
function formSubmitted( u,sm,sd ){
	var lang = ( u + '' ).match( /\?(.+?)=/ )[1];
	var eText = encodeURIComponent( Text );
	u = u + '&before=' + eText;
	var usa = getUrlStrArr( lang );
	createPopupString( u.replace( /\?.+?(&before=.+)/, usa[0] + '?wb_lp=' + usa[1] + '$1' ) );
	if( close_popup ) v2c.context.closeOriginalPopup();//入力後閉じる。
}
//翻訳結果のポップアップ表示
function createPopupString( su ){
	var sh = v2c.readURL( su );
	if( !sh ){
		v2c.alert( 'ページを取得できませんでした。' );
		return;
	}
	var mt = new Array(2);
	mt = sh.match( new RegExp( 'id="after"[^]*?>([^><]+?)</textarea>', 'i' ) );
	if( !mt ){
		v2c.alert( '検索結果を取得できませんでした。' ); return;
	}
	ph = '<html><body style="margin:0 5px;">' + mt[1] + '</body></html>';
	vcx.setPopupHTML( ph );
	if( copy_text ) v2c.context.setClipboardText( mt[1] );//クリップボードにコピーする。
}
//翻訳する文字列の整形
function editText( text ){
	text = text.replaceAll( '>>([[\\d]+[,-]?]+)\\n', '$1さん。' );//アンカー+改行⇒番号さん。
	text = text.replaceAll( '>>([[\\d]+[,-]?]+)', '$1' );//アンカー⇒番号
	text = text.replaceAll( '[\\n　]', '' );//改行削除
	text = text.replaceAll( '([R|Q]T ?|)[@#][\\w]+[:]?', '' );//Twitter用、ハッシュタグ等削除
	var links = vcx.res.links, link;
	for ( var i=0, l = links.length; i < l; i++ ){//リンクの削除
		link = ( links[i] + '' ).substring(1);
		if( ( text + '' ).charAt( ( text + '' ).lastIndexOf( link ) - 1 ) == 'h' ) {
			link = 'h' + link;
		}
		text = text.replace( link+'','' );
	}
	text = text.trim();
	return text;
}
if ( !Text ) {
	var Text = vcx.res.message;
}
Text = editText( Text );
if ( Args == 'menu' ) {
	vcx.setPopupHTML( '<html lang="ja"><style type = "text/css">'
	+'<!--body{background-color:#cccccc; color:black; text-align:center;}.header{font-size:small;}--></style>'
	+'<body><form action="h'+'ttp://www.excite.co.jp/world/"><table border="0" cellspacing="0" cellpadding="0">'
	+'<tr><th class = "header">Excite翻訳</th></tr>'
	+'<tr><input type="submit" value="  英⇒日  " name="enja"></tr><tr><input type="submit" value="  日⇒英  " name="jaen"></tr>'
	+'<tr><input type="submit" value="中(簡)⇒日" name="chja"></tr><tr><input type="submit" value="中(繁)⇒日" name="chjab"></tr>'
	+'<tr><input type="submit" value="  韓⇒日  " name="koja"></tr><tr><input type="submit" value="  仏⇒日  " name="frja"></tr>'
	+'<tr><input type="submit" value="  独⇒日  " name="deja"></tr><tr><input type="submit" value="  伊⇒日  " name="itja"></tr>'
	+'<tr><input type="submit" value="  西⇒日  " name="esja"></tr><tr><input type="submit" value="  葡⇒日  " name="ptja"></tr>'
	+'</table></form></body></html>' );
	vcx.setTrapFormSubmission( true );
	vcx.setMaxPopupWidth( 97 );
} else if ( Args != 'menu' && Text && ( Text.length() > 0 ) ) {
	Text = encodeURIComponent( Text );
	Url[0] = 'h'+'ttp://www.excite.co.jp/world/';
	Url[2] = '?wb_lp=';
	Url[4] = '&before=' + Text;
	var usa = getUrlStrArr( Args );
	Url[1] = usa[0];
	Url[3] = usa[1];
	createPopupString( Url.join( '' ) );
}
// ----- 前の行まで -----